Skip to content
Start here

Add audio tracks to a video

stream.audio_tracks.copy(stridentifier, AudioTrackCopyParams**kwargs) -> Audio
POST/accounts/{account_id}/stream/{identifier}/audio/copy

Adds an additional audio track to a video using the provided audio track URL.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str

The account identifier tag.

maxLength32
identifier: str

A Cloudflare-generated unique identifier for a media item.

maxLength32
label: str

A string to uniquely identify the track amongst other audio track labels for the specified video.

url: Optional[str]

An audio track URL. The server must be publicly routable and support HTTP HEAD requests and HTTP GET range requests. The server should respond to HTTP HEAD requests with a content-range header that includes the size of the file.

formaturi
ReturnsExpand Collapse
class Audio:
default: Optional[bool]

Denotes whether the audio track will be played by default in a player.

label: Optional[str]

A string to uniquely identify the track amongst other audio track labels for the specified video.

status: Optional[Literal["queued", "ready", "error"]]

Specifies the processing status of the video.

One of the following:
"queued"
"ready"
"error"
uid: Optional[str]

A Cloudflare-generated unique identifier for a media item.

maxLength32

Add audio tracks to a video

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
audio = client.stream.audio_tracks.copy(
    identifier="ea95132c15732412d22c1476fa83f27a",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    label="director commentary",
)
print(audio.uid)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "default": true,
    "label": "director commentary",
    "status": "queued",
    "uid": "ea95132c15732412d22c1476fa83f27a"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "default": true,
    "label": "director commentary",
    "status": "queued",
    "uid": "ea95132c15732412d22c1476fa83f27a"
  }
}